require 'touchgfx/generators/base'
require 'fileutils'

module TouchGFX
  module Generators
    class Project < Base
      argument :name, :type => :string

      def create_directory_structure
        empty_directory name

        self.destination_root = name

        directory 'assets'
        directory 'config'
        directory 'gui'
        directory 'platform'
        directory 'simulator'
        directory 'target'
      end

    end
  end
end
