require "touchgfx/version"
require "touchgfx/cli/outside"
require "touchgfx/cli/inside"

# check out https://github.com/bundler/bundler/blob/master/lib/bundler/cli/gem.rb
# and https://github.com/radar/guides/blob/master/gem-development.md

module TouchGFX
  module CLI
    def self.inside_project?
      File.exist?('assets') &&
        File.exist?('gui')
    end

    cli = inside_project? ? Inside : Outside
    cli.start
  end
end
